/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.datos;

import java.sql.*;
import java.util.Hashtable;

import servidor.utiles.*;

public class CopyOfTablaConfiSer extends Tabla_Base {
   Hashtable <String,String> parametros;
   
   public CopyOfTablaConfiSer(Connection conexion) {
	  super(conexion, "confiSer");
	  parametros =	new Hashtable<String,String>();
      cargarTabla();
   }
   
public void  cargarTabla() {
  try {
	 parametros.clear();
	 Connection conexion = BaseDatos.bd().conexion;
	 ResultSet rs;
	 Statement stmt = conexion.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_UPDATABLE);
	 rs = stmt.executeQuery("SELECT * FROM confiSer");
	 rs.beforeFirst();
	 while(rs.next()) {
		parametros.put(rs.getString("parametro").toLowerCase(),rs.getString("valor"));
	 }
	 rs.close();

  } catch(Exception exc) {
	  Global.log.warning("Error al cargar los parametros\n" + exc.getMessage());
  }
}



void salvarTabla() {
	  try {
		 parametros.clear();
		 Connection conexion = BaseDatos.bd().conexion;
		 ResultSet rs;
		 Statement stmt = conexion.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_UPDATABLE);
		 rs = stmt.executeQuery("SELECT * FROM confiSer");
		 rs.beforeFirst();
		 while(rs.next()) {
			if (parametros.containsKey(rs.getString("parametro"))) 
			parametros.put(rs.getString("parametro"),rs.getString("valor"));
		 }
		 rs.close();

	  } catch(Exception exc) {
		  Global.log.warning("Error al cargar los parametros\n" + exc.getMessage());
	  }
	}

Hashtable getParametros(){
	return parametros;
}
   

}
